| Home | Libraries | People | FAQ | More

# Error Handler Function Objects

## Detailed Description

Function objects for custom error handling.

## Functions

unspecified | boost::asio::ignore_error ()
| Return a function object that always ignores the error.
unspecified | boost::asio::throw_error ()
| Return a function object that always throws the error.
template<typename Target>
unspecified | boost::asio::assign_error (Target &target)
| Return a function object that assigns the error to a variable.

## Function Documentation

unspecified boost::asio::ignore_error | ( |  | ) |

Return a function object that always ignores the error.

unspecified boost::asio::throw_error | ( |  | ) |

Return a function object that always throws the error.

template<typename Target>

unspecified boost::asio::assign_error | ( | Target & | target | ) |

Return a function object that assigns the error to a variable.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff